package de.web.databasesupport.tools.iotools;

import java.io.BufferedInputStream;
import java.io.FileInputStream;
import java.io.BufferedOutputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.FileNotFoundException;

import java.io.File;

public class BetterIOTools extends IOTools {
    /** Die Gre des Buffers, der zum Kopieren genutzt wird. */
    private static int BUFFERSIZE = 30000;

    // overwritten de.janicke.hj.tools.IOTools.filecopy(...)
    public static void filecopy(String source, String destination) throws IOException, FileNotFoundException{
        BufferedInputStream bis;
        BufferedOutputStream bos;
        byte[] buffer = new byte[BUFFERSIZE];
        int bytesRead;

        File src = new File(source);

        if (!src.exists() || src.isDirectory() ) throw new FileNotFoundException("Datei " + source + " nicht vorhanden");

        bis = new BufferedInputStream(new FileInputStream(source));
        bos = new BufferedOutputStream(new FileOutputStream(destination));
        while ((bytesRead = bis.read(buffer, 0, 30000)) > 0) bos.write(buffer, 0, bytesRead);
        bis.close();
        bis = null;
        bos.close();
        bos = null;
    }

}
